# List Lambda API

The listLambda is a JSON-RPC endpoint that handles is used to view all registered lambdas by a user. It doesn't take any input and returns list of all registered lambdas.

### Request Spec

**HTTP Method**: POST

* [**Headers**:](/appendix/api-request-setup/authenticated-requests.md)
  * X-Encrypted-Session: Encrypted JWT signature for authentication.
  * X-Encrypted-Key: A string containing the encrypted key for secure communication.
  * X-Encrypted-User: User input encrypted using encryption key
* **Body**:
  * **N/A**

### Response Spec

* \[] -> List of Lambda objects

### Request Example

```http
POST / HTTP/1.1
Host: tiramisu.0xpass.io
Content-Type: application/json
X-Session: eJjdnfdknf...
X-Encrypted-Key: jp6t2GVOvzltN+4VGc21ZKPIbLjEvitE34cFYDvVNrcmF2ukcKMTO8R/F0wbonGZM0NZBg2X94FvirH6Hi2U1zFlXN5srkOdvQL3lVNZ86gbfEtJFPOEAeZkxtTOKOsH4ZXPtUbFOjT2Niblo8njOKibOoAMRKIhtsNTTvRXjHRxnNqVs3QcSe7XbO1DbH/pdRgq+YZN13znlSRsupu4G/h/KBEZr98wXFo8PeDV9F8ZV56F90GqQ3wKzFUBwC9rJihGz0omH+eJA0jB/K7BYt30fhWDnqaLNP2eb1mbIjBCmv6sXqu2jtghr3ejl0YwjP9lCO+aVD7bophfb/IyKg==
X-Encrypted-User: jp6t2GVOvzltN+4VGc21ZKPIbLjEvitE34cFYDvVNrcmF2ukcK
{
    "jsonrpc": "2.0",
    "method": "listLambda",
    "params": {},
    "id": 3
}
```

### Response Example

Success:

```json
{
    "jsonrpc": "2.0",
    "result": [
        {
            "id": "153634-f572-40ee-ba2a-efee345a3691",
            "config": {
                "actions": {
                    "data": "0x000000",
                    "substitution": true,
                    "type": "personal_sign"
                },
                "authorization": {
                    "type": "none"
                },
                "triggers": [
                   { "type": "hook"},
                ],
                "conditions": [
                    {
                        "code": "return true",
                        "output_type": "integer",
                        "substitution": true,
                        "type": "code"
                    }
                ],
                "envs": [],
                "max_executions": 0,
                "postHook": [],
                "verifications": {
                    "count": 1
                }
            },
            "status": "ready",
            "proof": null,
            "created_at": "2024-03-29T19:28:43",
            "updated_at": "2024-03-29T19:46:48",
            "total_executions": 2,
            "ok_executions": 2
        }
    ]
}
```

Error:

```json
{
  "jsonrpc": "2.0",
  "error": {
    "code": 401,
    "message": "Unauthorized: Signature verification failed."
  },
  "id": 1
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0xpass.io/programmability/lambda-functions/list-lambda/list-lambda-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
